/*
 * Copyright (C) 2023 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#include "chre/platform/host_link.h"

// The delete operator is generated by the compiler but not actually called,
// empty implementations are provided to avoid linker warnings/errors.
void operator delete(void *) {
  CHRE_ASSERT(false);
}
void operator delete(void *, size_t) {
  CHRE_ASSERT(false);
}
extern "C" void __cxa_pure_virtual(void) {
  chreAbort(CHRE_ERROR /* abortCode */);
}
